<?php
  $Position   = '../';
  require_once($Position.'config/config.php');
  require_once($Position.'config/conexion.php');
  require_once($Position.'config/user.php');
  require_once($Position.'funciones/acces.php');
  require_once($Position.'funciones/logout.php');
  require_once($Position.'funciones/funciones.php');

  if( $_POST[Id] ){

    //Usuario
    $Query = "
      SELECT
        usr.Id, usr.Nombre, usr.Apellidos,
        usr.Email
      FROM Usuarios usr
      WHERE usr.Id = '$_POST[Id]'
  	";
  	$Result = mysqli_query($mysqli, $Query );
  	$Usr = mysqli_fetch_assoc($Result);

    //Cuenta
    $Query = "
			SELECT
				cue.Id, cue.Vigencia, cue.CantRest,
				cueusr.Fk_Usuario, cueusr.Fk_Cuenta
			FROM CuentasUsuarios cueusr
			LEFT JOIN Cuentas cue ON cue.Id = cueusr.Fk_Cuenta
			WHERE cueusr.Fk_Usuario = '$User[Id]'
        AND cueusr.Activo = '1'
		";
	  $Result = mysqli_query($mysqli, $Query);
	  $Cue = mysqli_fetch_assoc($Result);

    //Folios
    $Query = "
			SELECT
				cre.Id, cre.Creditos
			FROM FacturasCreditos cre
			WHERE cre.Fk_Cuenta = '$Cue[Id]'
		";
	  $Result = mysqli_query($mysqli, $Query);
	  $Folios = mysqli_fetch_assoc($Result);

  }

?>

<form
  method="post"
  enctype="multipart/form-data"
  id="Form-Info"
>

  <input type="hidden" name="Save" value="Ok" />
  <input
    type="hidden"
    name="Action"
    value="<?php if( $Usr[Id] ){ echo '2'; }else{ echo '1'; } ?>"
  />
  <?php if($Usr[Id]){ ?>
    <input type="hidden" name="Id" value="<?php echo $Usr[Id]; ?>" />
  <?php } ?>

  <div class="row">

    <!-- Información -->
    <div class="col-sm-12">
      <div class="card">
        <div class="card-body">
          <div class="row">

            <!-- Titulo -->
            <div class="col-sm-12">
              <h4>Cuenta</h4>
              <hr>
            </div>
            <!-- End Titulo -->

            <!-- Nombre -->
            <div class="col-sm-6 form-group">
              <label>Vigencia</label>
              <input
                class="form-control"
                value="<?php echo CambioFechaInversa($Cue[Vigencia]); ?>"
                autocomplete="off"
                disabled
              />
            </div>
            <!-- End Nombre -->

            <!-- Folios -->
            <div class="col-sm-6 form-group">
              <label>Folios</label>
              <input
                class="form-control"
                value="<?php echo $Folios[Creditos]; ?>"
                disabled
              />
            </div>
            <!-- End Folios -->

          </div>
        </div>
      </div>
    </div>
    <!-- end Información -->

  </div>
</form>
